Bug 244727 - www/py-webargs: Update to 6.0.0
Summary: www/py-webargs: Update to 6.0.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Tobias C. Berner
URL: https://github.com/marshmallow-code/w...
Keywords:
Depends on:
Blocks:
 
Reported: 2020-03-11 01:37 UTC by Goran Mekić
Modified: 2020-03-15 08:15 UTC (History)
1 user (show)

See Also:


Attachments
py-webargs.diff (1.07 KB, patch)
2020-03-11 01:37 UTC, Goran Mekić
no flags Details | Diff
py-webargs.diff (2.31 KB, patch)
2020-03-11 01:43 UTC, Goran Mekić
meka: maintainer-approval+
Details | Diff
py-webargs.diff (1.07 KB, patch)
2020-03-14 21:36 UTC, Goran Mekić
meka: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Goran Mekić 2020-03-11 01:37:19 UTC
Created attachment 212319 [details]
py-webargs.diff

QA:

  * portlint: OK (looks fine.)
  * testport: OK (poudriere: 12.1, amd64 tested)
  * maketest: OK (292 passed, 6 skipped, 1 warnings)
Comment 1 Goran Mekić 2020-03-11 01:43:01 UTC
Created attachment 212320 [details]
py-webargs.diff
Comment 2 Tobias C. Berner freebsd_committer 2020-03-14 21:09:49 UTC
Moin moin 

Why are you moving the commented TEST_DEPENDS around?


mfg Tobias
Comment 3 Goran Mekić 2020-03-14 21:17:28 UTC
(In reply to Tobias C. Berner from comment #2)
To satisfy portlint, nothing else.
Comment 4 Tobias C. Berner freebsd_committer 2020-03-14 21:26:26 UTC
Moin moin 

TEST_DEPENDS belongs in the dependency block [1]. So I would keep it up there. 
Never try to satisfy portlint over common sense :)

[1] https://www.freebsd.org/doc/en_US.ISO8859-1/books/porters-handbook/porting-order-depends.html
Comment 5 Goran Mekić 2020-03-14 21:36:56 UTC
Created attachment 212416 [details]
py-webargs.diff
Comment 6 Tobias C. Berner freebsd_committer 2020-03-15 08:15:20 UTC
Committed. Thanks.
Comment 7 commit-hook freebsd_committer 2020-03-15 08:15:58 UTC
A commit references this bug:

Author: tcberner
Date: Sun Mar 15 08:15:13 UTC 2020
New revision: 528476
URL: https://svnweb.freebsd.org/changeset/ports/528476

Log:
  www/py-webargs: Update to 6.0.0

  PR:		244727
  Submitted by:	Goran Meki? <meka@tilda.center>  (maintainer)

Changes:
  head/www/py-webargs/Makefile
  head/www/py-webargs/distinfo